Name:           zmap
Version:        1.2.0
Release:        1%{?dist}
Summary:        Network scanner for Internet-wide network studies
License:        ASL 2.0
URL:            https://zmap.io
Source0:        https://github.com/%{name}/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  byacc
BuildRequires:  cmake
BuildRequires:  flex
BuildRequires:  gengetopt
BuildRequires:  gmp-devel
BuildRequires:  hiredis-devel
BuildRequires:  json-c-devel
BuildRequires:  libpcap-devel

%description
ZMap is an open-source network scanner that enables researchers to easily 
perform Internet-wide network studies. With a single machine and a well 
provisioned network uplink, ZMap is capable of performing a complete scan of 
the IPv4 address space in under 45 minutes, approaching the theoretical limit
of gigabit Ethernet.

ZMap can be used to study protocol adoption over time, monitor service 
availability, and help us better understand large systems distributed across 
the Internet.

========== WARNING ==========
While ZMap is a powerful tool for researchers, please keep in mind that by 
running ZMap, you are potentially scanning the ENTIRE IPv4 address space and 
some users may not appreciate your scanning. We encourage ZMap users to 
respect requests to stop scanning and to exclude these networks from ongoing 
scanning.

%prep
%setup -q

%build
%cmake -DWITH_JSON=ON -DWITH_REDIS=ON
make %{?_smp_mflags}
chmod 644 -v examples/udp-probes/*
find ./examples/ -type f -exec sed -i 's/\r$//' {} ";"

%install
make install DESTDIR=%{buildroot}

%files
%doc AUTHORS CHANGELOG LICENSE README examples/
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_sbindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Wed Mar 12 2014 Christopher Meng <rpm@cicku.me> - 1.2.0-1
- Update to 1.2.0

* Mon Jan 27 2014 Christopher Meng <rpm@cicku.me> - 1.1.2-1
- Update to 1.1.2

* Thu Dec 19 2013 Christopher Meng <rpm@cicku.me> - 1.1.1-1
- Update to 1.1.1

* Fri Nov 22 2013 Christopher Meng <rpm@cicku.me> - 1.1.0-2
- Set 644 to examples.
- Fix wrong line endings.

* Tue Nov 19 2013 Christopher Meng <rpm@cicku.me> - 1.1.0-1
- Update to 1.1.0
- Enable harden building.

* Mon Aug 26 2013 Christopher Meng <rpm@cicku.me> - 1.0.3-2
- Correct the license and summary.

* Mon Aug 19 2013 Christopher Meng <rpm@cicku.me> - 1.0.3-1
- Initial Package.
